class CollectController < ApplicationController
  layout 'standard'
  
  def status
    @topMenu = [
                 {:label => 'Home',       :url => '#', :active => true},
                 {:label => 'Collectors', :url => '#', :active => false},
                 {:label => 'Pics',       :url => '#', :active => false},
                 {:label => 'House',      :url => '#', :active => false},
                 {:label => 'Work',       :url => '#', :active => false},
                 {:label => 'Contact Us', :url => '#', :active => false}
               ]
    @activeCollectors = Collector.find(:all, :conditions => 'active = 1')
    @inactiveCollectors = Collector.find(:all, :conditions => 'active = 0 AND initialized = 1')
    @uninitializedCollectors = Collector.find(:all, :conditions => 'initialized = 0')
  end
  
  # Disable a collector, called via AJAX
  def disable
    @c = Collector.find(params[:id])
    @c.active = false
    @c.save
    render :partial => "active", :locals => { :c => @c }
  end
  
  # Enable a collector, called via AJAX
  def enable
    @c = Collector.find(params[:id])
    @c.active = true
    @c.save
    render :partial => "active", :locals => { :c => @c }
  end
  
  def data
    
    myClass = Kernel.const_get(params['type']).new
    myClass.process(params['id'], params['event'], params['data'])
    
    @id = myClass.id
  end
end
