class FlickrUploaderController < ApplicationController
  layout 'standard'
  require 'flickraw'
  
  def initialize   
  end

  def initialize2
    key = params['api']['key'].strip
    secret = params['api']['secret'].strip
    Parameter.set('FLICKRAPIKEY', key)
    Parameter.set('FLICKRAPISHAREDSECRET', secret)
    FlickRaw.api_key = key
    FlickRaw.shared_secret = secret    
    frob = flickr.auth.getFrob
    Parameter.set('FLICKRFROB', frob)
    @auth_url = FlickRaw.auth_url :frob => frob, :perms => 'write'    
  end
  
  def initialize3
    FlickRaw.api_key = Parameter.value('FLICKRAPIKEY')
    FlickRaw.shared_secret = Parameter.value('FLICKRAPISHAREDSECRET')
    response = flickr.auth.getToken :frob => Parameter.value('FLICKRFROB')
    Parameter.set('FLICKRAPITOKEN', response.token)
    login = flickr.test.login
    @user = login.username
  end

  def settings 
    @basedir = Parameter.value('FLICKRBASEDIR').to_s
    @excludedir = Parameter.value('FLICKREXCLUDEDIR').to_s
    @excludefile = Parameter.value('FLICKREXCLUDEFILE').to_s
    @filetypes = Parameter.value('FLICKRFILETYPES').to_s
  end

  def submitsettings
    basedir = params['settings']['basedir']
    @basedir = []
    basedir = basedir.split(',')
    basedir.each do |bd|
      bd = bd.strip
      bd += '/' if bd[-1..-1] != '/'
      @basedir.push bd
    end
    @basedir = @basedir.join(',')
    
    
    excludedir = params['settings']['excludedir']
    @excludedir = []
    excludedir = excludedir.split(',')
    excludedir.each do |ed|
      @excludedir.push ed.strip.downcase
    end
    @excludedir = @excludedir.join(',')
    
    excludefile = params['settings']['excludefile']
    @excludefile = []
    excludefile = excludefile.split(',')
    excludefile.each do |ef|
      @excludefile.push ef.strip.downcase
    end
    @excludefile = @excludefile.join(',')
    
    filetypes = params['settings']['filetypes']
    @filetypes = []
    filetypes = filetypes.split(',')
    filetypes.each do |ft|
      @filetypes.push ft.strip.downcase
    end
    @filetypes = @filetypes.join(',')
    
    Parameter.set('FLICKRBASEDIR', params['settings']['basedir'])
    Parameter.set('FLICKREXCLUDEDIR', params['settings']['excludedir'])
    Parameter.set('FLICKREXCLUDEFILE', params['settings']['excludefile'])
    Parameter.set('FLICKRFILETYPES', params['settings']['filetypes'])
    
    c = Collector.find(:first, :conditions => "name = 'FlickrUploader'")
    c.initialized = true
    c.save
    
    render :action => 'settings'
  end

end
