class Weatherbug < ActiveRecord::Base
  set_table_name :weather
  
  require 'net/http'
  require 'rexml/document'
  
  def Weatherbug.gather(params = nil)

    url = "http://a4652347557.api.wxbug.net/getLiveWeatherRSS.aspx?ACode=a4652347557&stationid=#{params.to_s}&UnitType=0&OutputType=1"

    # get the XML data as a string
    xml_data = Net::HTTP.get_response(URI.parse(url)).body

    # extract event information
    doc = REXML::Document.new(xml_data)
    a = []
    
    doc.elements.each('aws:weather/aws:MultipleStations/aws:weather') do |e|
      te = e.elements['aws:ob']
      
    
      w = Weatherbug.new
      # Start by parsing the report date
      td = te.elements['aws:ob-date']
      w.reportDate = Time.local(td.elements['aws:year'].attributes['number'].to_s,
                                td.elements['aws:month'].attributes['number'].to_s,
                                td.elements['aws:day'].attributes['number'].to_s,
                                td.elements['aws:hour'].attributes['hour-24'].to_s,
                                td.elements['aws:minute'].attributes['number'].to_s,
                                td.elements['aws:second'].attributes['number'].to_s,0)
      # Get the station info
      w.station = te.elements['aws:station-id'].to_a.first.to_s
      
      # Get the station latitude, longitude, and elevation
      w.latitude = te.elements['aws:latitude'].to_a.first.to_s
      w.longitude = te.elements['aws:longitude'].to_a.first.to_s
      w.elevation = te.elements['aws:elevation'].to_a.first.to_s
      
      # Get the current conditions
      w.temperature     = te.elements['aws:temp'].to_a.first.to_s
      w.temperatureHigh = te.elements['aws:temp-high'].to_a.first.to_s
      w.temperatureLow  = te.elements['aws:temp-low'].to_a.first.to_s
      w.temperatureRate = te.elements['aws:temp-rate'].to_a.first.to_s
      w.condition       = te.elements['aws:current-condition'].to_a.first.to_s
      w.dewPoint        = te.elements['aws:dew-point'].to_a.first.to_s
      w.feelsLike       = te.elements['aws:feels-like'].to_a.first.to_s
      w.wetBulb         = te.elements['aws:wet-bulb'].to_a.first.to_s
      
      # Get the Humidity conditions
      w.humidity        = te.elements['aws:humidity'].to_a.first.to_s
      w.humidityHigh    = te.elements['aws:humidity-high'].to_a.first.to_s
      w.humidityLow     = te.elements['aws:humidity-low'].to_a.first.to_s
      w.humidityRate    = te.elements['aws:humidity-rate'].to_a.first.to_s
      
      # Get barometric pressure
      w.pressure        = te.elements['aws:pressure'].to_a.first.to_s
      w.pressureHigh    = te.elements['aws:pressure-high'].to_a.first.to_s
      w.pressureLow     = te.elements['aws:pressure-low'].to_a.first.to_s
      w.pressureRate    = te.elements['aws:pressure-rate'].to_a.first.to_s
      
      # Get rain readings
      w.rainToday       = te.elements['aws:rain-today'].to_a.first.to_s
      w.rainMonth       = te.elements['aws:rain-month'].to_a.first.to_s
      w.rainYear        = te.elements['aws:rain-year'].to_a.first.to_s
      w.rainRate        = te.elements['aws:rain-rate'].to_a.first.to_s
      w.rainRateMax     = te.elements['aws:rain-rate-max'].to_a.first.to_s
      
      # Get wind readings
      w.windSpeed        = te.elements['aws:wind-speed'].to_a.first.to_s
      w.windSpeedAvg     = te.elements['aws:wind-speed-avg'].to_a.first.to_s
      w.windDirection    = te.elements['aws:wind-direction'].to_a.first.to_s
      w.windDirectionAvg = te.elements['aws:wind-direction-avg'].to_a.first.to_s
      
      w.save
      
    end
    return a.join('---')
  end  

#  def process(deviceID, event, data)
#    self.device = deviceID.to_i
#    self.event = event.to_i
#    self.state = data
#    self.save
#  end  
  
end
