SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';


-- -----------------------------------------------------
-- Table `cdr`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `cdr` ;

CREATE  TABLE IF NOT EXISTS `cdr` (
  `calldate` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  `clid` VARCHAR(80) NOT NULL DEFAULT '' ,
  `src` VARCHAR(80) NOT NULL DEFAULT '' ,
  `dst` VARCHAR(80) NOT NULL DEFAULT '' ,
  `dcontext` VARCHAR(80) NOT NULL DEFAULT '' ,
  `channel` VARCHAR(80) NOT NULL DEFAULT '' ,
  `dstchannel` VARCHAR(80) NOT NULL DEFAULT '' ,
  `lastapp` VARCHAR(80) NOT NULL DEFAULT '' ,
  `lastdata` VARCHAR(80) NOT NULL DEFAULT '' ,
  `duration` INT(11) NOT NULL DEFAULT '0' ,
  `billsec` INT(11) NOT NULL DEFAULT '0' ,
  `disposition` VARCHAR(45) NOT NULL DEFAULT '' ,
  `amaflags` INT(11) NOT NULL DEFAULT '0' ,
  `accountcode` VARCHAR(20) NOT NULL DEFAULT '' ,
  `userfield` VARCHAR(255) NOT NULL DEFAULT '' ,
  `uniqueid` VARCHAR(32) NOT NULL DEFAULT '' ,
  INDEX `calldate` (`calldate` ASC) ,
  INDEX `dst` (`dst` ASC) ,
  INDEX `accountcode` (`accountcode` ASC) )
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `pull_schedules`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `pull_schedules` ;

CREATE  TABLE IF NOT EXISTS `pull_schedules` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `collector_id` INT UNSIGNED NOT NULL ,
  `lastrun` DATETIME NULL ,
  `nextrun` DATETIME NULL ,
  `cron_min` VARCHAR(45) NULL DEFAULT '0' COMMENT 'Cron Minute Field' ,
  `cron_hour` VARCHAR(45) NULL DEFAULT '*' COMMENT 'Cron Hour Field\n' ,
  `cron_month` VARCHAR(45) NULL DEFAULT '*' COMMENT 'Cron Month Field\n' ,
  `cron_dom` VARCHAR(45) NULL DEFAULT '*' COMMENT 'Cron Day of Month Field' ,
  `cron_dow` VARCHAR(45) NULL DEFAULT '*' COMMENT 'Cron Day of Week Field\n' ,
  `parameters` TEXT NULL ,
  `notes` TEXT NULL ,
  PRIMARY KEY (`id`) ,
  INDEX `nextrun` (`nextrun` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `weather`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `weather` ;

CREATE  TABLE IF NOT EXISTS `weather` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `reportDate` DATETIME NOT NULL ,
  `station` CHAR(7) NOT NULL ,
  `latitude` FLOAT(15,12) NULL ,
  `longitude` FLOAT(15,12) NULL ,
  `elevation` INT NULL ,
  `condition` VARCHAR(20) NULL ,
  `temperature` FLOAT(4,1) NULL ,
  `temperatureHigh` FLOAT(4,1) NULL ,
  `temperatureLow` FLOAT(4,1) NULL ,
  `temperatureRate` FLOAT(4,1) NULL ,
  `dewPoint` FLOAT(4,1) NULL ,
  `feelsLike` FLOAT(4,1) NULL ,
  `humidity` FLOAT(4,1) NULL ,
  `humidityHigh` FLOAT(4,1) NULL ,
  `humidityLow` FLOAT(4,1) NULL ,
  `humidityRate` FLOAT(4,1) NULL ,
  `pressure` FLOAT(6,2) NULL ,
  `pressureHigh` FLOAT(6,2) NULL ,
  `pressureLow` FLOAT(6,2) NULL ,
  `pressureRate` FLOAT(4,1) NULL ,
  `rainToday` FLOAT(4,2) NULL ,
  `rainMonth` FLOAT(4,2) NULL ,
  `rainYear` FLOAT(4,2) NULL ,
  `rainRate` FLOAT(4,2) NULL ,
  `rainRateMax` FLOAT(4,2) NULL ,
  `wetBulb` FLOAT(6,3) NULL ,
  `windSpeed` INT UNSIGNED NULL ,
  `windSpeedAvg` INT UNSIGNED NULL ,
  `windDirection` CHAR(3) NULL ,
  `windDirectionAvg` CHAR(3) NULL ,
  PRIMARY KEY (`id`) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `parameters`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `parameters` ;

CREATE  TABLE IF NOT EXISTS `parameters` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(45) NULL ,
  `value` TEXT NULL ,
  PRIMARY KEY (`id`) ,
  INDEX `NAME` (`name` ASC) )
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `collectors`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `collectors` ;

CREATE  TABLE IF NOT EXISTS `collectors` (
  `id` INT UNSIGNED NOT NULL AUTO_INCREMENT ,
  `name` VARCHAR(45) NOT NULL ,
  `author` VARCHAR(45) NULL ,
  `description` VARCHAR(255) NULL ,
  `homepage` VARCHAR(255) NULL ,
  `version_maj` INT UNSIGNED NOT NULL DEFAULT 0 ,
  `version_min` INT NOT NULL DEFAULT 0 ,
  `active` BOOLEAN NOT NULL DEFAULT false ,
  `initialized` BOOLEAN NOT NULL DEFAULT false ,
  PRIMARY KEY (`id`) )
ENGINE = InnoDB;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
