require 'rubygems'
require 'runt'
require 'date'

include Runt

expr1 = (DIWeek.new(Mon) | DIWeek.new(Wed) | DIWeek.new(Fri)) & REDay.new(8,00,11,00)
expr2 = (DIWeek.new(Tue) | DIWeek.new(Thu)) & REDay.new(11,30,14,00)
ticket = expr1 | expr2

range = DateRange.new(DateTime.new(2009,2,1,12,15),DateTime.new(2009,2,28,12,15))
puts ticket.dates(range,0)

def times(date_range, expr, limit=0)
  result = []
  const = 1.0 / (24*60*60)
  curr = date_range.start_expr
  while curr < date_range.end_expr do
    result << curr if expr.include? curr
    if limit > 0 and result.size == limit
      break
    end
    curr = curr + const
  end
  result
end
puts '--------------------'
puts times(range,ticket,3)